import type AppRegistry from 'hadron-app-registry';
import type { AnyAction, Store } from 'redux';
import type { ThunkDispatch } from 'redux-thunk';
import type { DataService } from 'mongodb-data-service';
import type { CollectionTabsState } from '../modules/tabs';
type ThunkExtraArg = {
    globalAppRegistry: AppRegistry;
    dataService: DataService | null;
};
type RootStore = Store<CollectionTabsState, AnyAction> & {
    dispatch: ThunkDispatch<any, {
        globalAppRegistry: Readonly<AppRegistry>;
        dataService: DataService | null;
    }, AnyAction>;
} & {
    onActivated(globalAppRegistry: AppRegistry): void;
};
export declare function configureStore({ globalAppRegistry: _globalAppRegistry, dataService, }?: Partial<ThunkExtraArg>): RootStore;
declare const store: RootStore;
export type RootState = ReturnType<typeof store['getState']>;
export default store;
//# sourceMappingURL=tabs.d.ts.map